﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Google.Apis.Books.v1;
using Google.Apis.Books.v1.Data;
using Google.Apis.Services;

namespace GoogleCredentials_Test
{
	public class APIKey_Test
	{
		public async Task<string> Run()
		{
			StringBuilder sbReturn = new StringBuilder();
			sbReturn.Append("*** API key test ***" + Environment.NewLine);
			sbReturn.Append("- 공개 서가 리스트 -" + Environment.NewLine);

			//북서비스생성
			//API Key 타입으로 생성한다.
			var service = new BooksService(new BaseClientService.Initializer()
			{
				ApplicationName = GlobalData.ProgramTitle,
				ApiKey = "[생성한 API 키]",
			});

			//조회할 사용자 정보 입력
			var result = await service.Bookshelves.List("[조회할 유저 키]").ExecuteAsync();

			if (null != result)
			{//결과가 있다.
				//결과 정보를 출력한다.
				foreach (Bookshelf book in result.Items)
				{
					sbReturn.Append(string.Format( "{0}({1})", book.Title, book.Id) + Environment.NewLine);
				}
			}

			sbReturn.Append(string.Format("- 총 {0}개 서가 -", result.Items.Count) + Environment.NewLine);

			return sbReturn.ToString();

		}

		
	}
}
